package com.tencent.mm.plugin.appbrand.appcache;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.a.e;
import com.tencent.mm.sdk.platformtools.ab;

public class n$a {
    static void xo(String str) {
        AppMethodBeat.i(129335);
        e.deleteFile(str);
        try {
            Runtime.getRuntime().exec("rm -r " + str + "_xdir");
            AppMethodBeat.o(129335);
        } catch (Exception e) {
            ab.e("MicroMsg.AppBrand.PkgCleanupLogic.CleanupUtil", "rm -r %s, e = %s", new Object[]{str + "_xdir", e});
            AppMethodBeat.o(129335);
        }
    }
}
